* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    transition: all 0.4s ease-in-out;
}

:root {
    --primary-color: #3c0485;
    --primary-color-dark: #2e0268;
    --secondary-color: #6300E2;
    --text-color: #7A7A7A;
    --text-color-dark: #2f2836;
    --light-text-color: #767676;
    --desc-text: #666666;
    --desc-text-dark: #3e3d3d;
    --container-bg: #D2BBF95E;
    --card-bg: #e0ccfc67;
    --card-bg-hover: #d8bbffaf;
    --card-border-1px: #D8BAFF80;
    --shadow: #BEBEBE45;
    --hover-shadow: #D8BAFF80;
    --border: #BEBEBE;
    --tool-background: #F9F9F9;
    --tool-background-hover: #f5f5f5;
    --header-bg: #FFFFFFE0;
    --header-li-color: #4D515C;
    --header-li-hover-bg-color: #DABEFF75;
    --header-li-hover-bg-color-hover: #DABEFF75;
    --footer-bg-color: #6300E205;
    --btn-shadow-sec: rgba(218, 190, 255, 0.4588235294117647);
    --primary-font: "Inter", sans-serif;
    --secondary-font: "Georgia", serif;
    --footer-text-color: #2f2836;
    --submenu-bg-color: #dabeff60;
    --submenu-bg-color-hover: #ecddfde3;
    --cta-card-shadow: rgba(99, 0, 226, 0.68);
    --error: #970303;
    --light-error: #ffaaaa;
    --dark-error: #720000;
    --warning: #925f01;
    --light-green: #cfffcf;
    --dark-green: #005a00;
    --green: #008000;
}

body {
    font-family: var(--primary-font);
    max-width: 1600px;
    margin: 0 auto;
}

::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar-track {
    background: var(--container-bg);
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background: var(--primary-color);
    border-radius: 10px;
}

/* Generall */
/* Main Progress Bar */
.mainProgressbar {
    position: fixed;
    top: 0;
    left: 0;
    width: 0%;
    z-index: 1100;
    height: 2px;
    border-radius: 20px;
    background: linear-gradient(180deg, var(--primary-color), var(--secondary-color));
    opacity: 0;
    pointer-events: none;
}

.mainProgressbar::after {
    content: "";
    position: absolute;
    right: 0;
    width: 100px;
    height: 100%;
    box-shadow: 0 0 10px 1px var(--secondary-color), 0 0 10px 1px var(--secondary-color);
    opacity: 1;

}

a {
    text-decoration: none;
    color: var(--primary-color);
    font-weight: 600;
}

strong {
    color: var(--primary-color);
    font-weight: 600;
}

/* HumberIcon */
.hamburgericon {
    display: none;
}

/* Heading Wrapper Styling */
.line-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-bottom: 12px;
    width: 100%;
}

.fline {
    width: 40px;
    height: 5px;
    background-color: var(--primary-color);
    border-radius: 5px;
}

.line-wrapper>.dot {
    width: 20px;
    height: 20px;
    background-color: var(--primary-color);
    border-radius: 50%;
}

.lline {
    width: 40px;
    height: 5px;
    background-color: var(--primary-color);
    border-radius: 5px;
}

/* Heading Wrapper White */
.white-line-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
    margin-bottom: 12px;
    width: 100%;
}

.white-fline {
    width: 40px;
    height: 5px;
    background-color: white;
    border-radius: 5px;
}

.white-line-wrapper>.white-dot {
    width: 20px;
    height: 20px;
    background-color: white;
    border-radius: 50%;
}

.white-lline {
    width: 40px;
    height: 5px;
    background-color: white;
    border-radius: 5px;
}

/* Stylish Heading */
.stylishHeading {
    padding: 20px 10px;
}
.stylishHeading>h3 {
    text-align: center;
    font-size: 36px;
}

.stylishHeading  > p {
    font-size: 18px;
    color: var(--footer-text-color);
    line-height: 25px;
    text-align: center;
}

/* Highlighted Text in Website */
.highlight {
    font-weight: 900;
    color: var(--primary-color-dark);
}

/* Heading Dot Line Media Query */
@media (max-width: 450px) {
    
.fline {
    width: 30px;
    height: 5px;
}

.line-wrapper > .dot {
    width: 20px;
    height: 20px;
    background-color: var(--primary-color);
}

.lline {
    width: 30px;
    height: 5px;
}
}